
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.*;

/**
 * Class ProjectWall - write a description of the class here
 * 
 * @author Nigel Hoyt
 * @version 9/25/15 ProjectWall
 */
public class ProjectWall extends JApplet
{
    int startX = 25;
    int startY = 100;
    int width = 50;
    int height = 17;
    int spacing = 2;
    JTextArea textarea;
    JTextField enter;
    JLabel label;
    JButton go;
    JScrollPane spane;
       
    /**
     * Called by the browser or applet viewer to inform this JApplet that it
     * has been loaded into the system. It is always called before the first 
     * time that the start method is called.
     */
    public void init()
    {
        setLayout( new FlowLayout());
        label = new JLabel( "Enter 1-20:");
        enter = new JTextField(5);
        spane = new JScrollPane( textarea);
        go = new JButton ("GO!");
        
        add(label); add(enter); add(spane); add(go);
    }
    public void actionPerformed( ActionEvent ae)
    {
        Object src = ae.getSource();
        if( src == go)
        {
            String text = enter.getText();
            if (text.length() > 0)
            {
                int num = Integer.parseInt ( text );
                textarea.setText ("");
                for (int i=1; i<=20; i+=1)
                {
                    textarea.append( String.valueOf(i));
                    textarea.append("/n");
                }
            }
            else
                textarea.setText("Please enter a number from 1-20");
            }
    }

    /**
     * Called by the browser or applet viewer to inform this JApplet that it 
     * should start its execution. It is called after the init method and 
     * each time the JApplet is revisited in a Web page. 
     */
    public void start()
    {
        // provide any code requred to run each time 
        // web page is visited
    }

    /** 
     * Called by the browser or applet viewer to inform this JApplet that
     * it should stop its execution. It is called when the Web page that
     * contains this JApplet has been replaced by another page, and also
     * just before the JApplet is to be destroyed. 
     */
    public void stop()
    {
        // provide any code that needs to be run when page
        // is replaced by another page or before JApplet is destroyed 
    }
    /**
     * Paint method for applet.
     * 
     * @param  g   the Graphics object for this applet
     */
    public void paint(Graphics g)
    {
        super.paint(g);
        g.setColor(Color.GRAY);
        g.fillRect(0,0,500,1000);
        int xOffset = 0;
        for (int row = 0; row < 20; row += 1)
        {
            int y = startY + (row * (height + spacing));
            if (row % 2 == 0) 
            {
                xOffset = width / 2;
            } 
            else 
            {
                xOffset = 0;
            }
            for (int col = 0; col < 8; col++) 
            {
            int x = xOffset + (startX + (col * (width + spacing)));
            g.setColor(Color.RED);
            g.fillRect(x, y, width, height);
            }
        } 
    }
    
      /**
     * Called by the browser or applet viewer to inform this JApplet that it
     * is being reclaimed and that it should destroy any resources that it
     * has allocated. The stop method will always be called before destroy. 
     */
    public void destroy()
    {
        // provide code to be run when JApplet is about to be destroyed.
    }


    /**
     * Returns information about this applet. 
     * An applet should override this method to return a String containing 
     * information about the author, version, and copyright of the JApplet.
     *
     * @return a String representation of information about this JApplet
     */
    public String getAppletInfo()
    {
        // provide information about the applet
        return "Title:   \nAuthor:   \nA simple applet example description. ";
    }
    /**
     * Returns parameter information about this JApplet. 
     * Returns information about the parameters than are understood by this JApplet.
     * An applet should override this method to return an array of Strings 
     * describing these parameters. 
     * Each element of the array should be a set of three Strings containing 
     * the name, the type, and a description.
     *
     * @return a String[] representation of parameter information about this JApplet
     */
    public String[][] getParameterInfo()
    {
        // provide parameter information about the applet
        String paramInfo[][] = {
                 {"firstParameter",    "1-10",    "description of first parameter"},
                 {"status", "boolean", "description of second parameter"},
                 {"images",   "url",     "description of third parameter"}
        };
        return paramInfo;
    }
}
